### Method

# Goa OAuth2Based get_client_id

#### Declaration [src]

    const gchar*
    goa_oauth2_based_get_client_id (
      GoaOAuth2Based* object
    )

#### Description [src]

Gets the value of the “ClientId” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_oauth2_based_dup_client_id()` if on another thread.

This method is not directly available to language bindings.

Gets property | `Goa.OAuth2Based:client-id`

#### Return value

Type: `const gchar*`

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.